<?php 
/*Sidebar Style filter */
if ( ! function_exists( 'greenturtle_mag_sidebar' ) ) :
    /**
     * Doctype declaration of the theme.
     *
     * @since 1.0.0
     */
    function greenturtle_mag_sidebar() {
        $sidebar_position = esc_attr(get_theme_mod('theme_sidebar_position','right'));
        if($sidebar_position=='none'):
    ?>
    <style type="text/css">
        #primary{
            width: 100%;
        }
    </style>
<?php endif; ?>
   
    <?php
    }
endif;

add_action( 'wp_head', 'greenturtle_mag_sidebar', 10 );

if ( ! function_exists( 'greenturtle_mag_excerpt' ) ) :

function greenturtle_mag_excerpt( $text ) {
  
  $excerpt_length = apply_filters( 'excerpt_length', 25 );
  
  $excerpt_more = apply_filters( 'excerpt_more', ' ' . '...' );
  $text = wp_trim_words( $text, $excerpt_length, $excerpt_more );
 
  $text = apply_filters( 'get_the_excerpt', $text );
 
  return $text;
}
endif;
add_action( 'the_excerpt', 'greenturtle_mag_excerpt', 10 );

